Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005011 [JEDI VCL] 00 JVCL Components major always 2009-11-08 11:08 2012-02-29 16:53
Reporter tetardd View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005011: JvListView: the jv Groups have less functionality than the ones in D2009+
Description Use of GroupView in TListView vs TJvListView:

CodeGear's VCL TListGroup are much more advanced than TJvListViewGroups in terms of functionality (they have for example the ability to change footer, header, state, subtitle, etc.).
Bring TJvListViewGrpups to the standard of functionality found in the native VCL code.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0016864)
obones (administrator)
2009-11-09 09:22

Well, please try to do so, in a manner that also works for pre D2009 versions in any Windows XP as well.
(0016898)
tetardd (reporter)
2009-11-22 17:54

Obones: No need to be snotty in your answer.

If you think about it, it takes 2 minutes to do. I just tried it and it work perfectly well:

Test for the compiler version and compile the JvGroup code ONLY IF prior to the introduction of groups in Delphi's VCL (D2009 I believe).
I use D2009, I just commented out all the Jedi code in TJvListView dealing with group definitions (i.e. to simulate that not being compiled) and now, I have access to the VCl's groups with the full functionality.
For those who don't have D2009 or above, the lines would compile and they'd have what they miss. Simple request really.
(0016900)
obones (administrator)
2009-11-24 11:13

Well, I'm not being snotty or anything else, it's just that I don't see the point in using TJvListView if the TListView in D2009 is better. Hence my remark about providing an implementation for previous versions that work with all possible operating systems.
But then again, maybe I missed your point...
(0016901)
tetardd (reporter)
2009-11-24 13:33

Yes, I think you missed my point. If you re-read my post, you'll see that nowhere I said that TListView is better than TJvListView. What I said is that the implementation of the GroupView is much better in the original VCL.
What do you do then if you need both the added functionalities of TJvListView and the better GroupView management of TListView?

In my opinion, TJvListView should not have anything in it that take a move backward in terms of functionalities from the original VCL code. Currently, it is the case for the group view. And I believe it should be your ethos too, that's why you derive TJvListView from TListView, right, to add functionalities, not remove some?

My suggestion is then to remove that backward step by simply coding TJvListView better, maybe using compiler directives, as suggested in my second post.

Hope that is clearer.
(0016946)
obones (administrator)
2009-12-04 15:28

So whay you are saying is that the properties for group management in TJvListView take precedence over those in TListView and as such prevent from using those from TListView.
Is that correct?
(0017288)
obones (administrator)
2010-03-09 12:20

Hello?
(0017291)
tetardd (reporter)
2010-03-09 13:30

Yes, that's correct. What I therefore suggested is maybe have a compiler directive: if you have D2009 with OS > Windows XP, you don't use the TJvListView group management code but the VCL's one.
(0017784)
obones (administrator)
2010-10-08 15:16

This is now in SVN

- Issue History
Date Modified Username Field Change
2009-11-08 11:08 tetardd New Issue
2009-11-09 09:22 obones Note Added: 0016864
2009-11-09 09:22 obones Status new => feedback
2009-11-22 17:54 tetardd Note Added: 0016898
2009-11-24 11:13 obones Note Added: 0016900
2009-11-24 13:33 tetardd Note Added: 0016901
2009-12-04 15:28 obones Note Added: 0016946
2010-03-09 12:20 obones Note Added: 0017288
2010-03-09 13:30 tetardd Note Added: 0017291
2010-06-07 13:44 obones Status feedback => acknowledged
2010-10-08 15:16 obones Note Added: 0017784
2010-10-08 15:16 obones Status acknowledged => resolved
2010-10-08 15:16 obones Fixed in Version => Daily / SVN
2010-10-08 15:16 obones Resolution open => fixed
2010-10-08 15:16 obones Assigned To => obones
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker